Name:				otcl
Version:			1.14
Release:			5%{?dist}
Summary:			MIT Object Tcl
Group:				Development/Languages
License:			MIT and BSD
#No License notes in files, This line taked from project SF page.
URL:				http://sourceforge.net/projects/otcl-tclcl
Source:				http://downloads.sourceforge.net/project/otcl-tclcl/OTcl/%{version}/%{name}-src-%{version}.tar.gz

BuildRequires:		tcl-devel
BuildRequires:		tk-devel
BuildRequires:		libX11-devel
BuildRequires:		xorg-x11-proto-devel
BuildRequires:		libXt-devel

%description
OTcl, short for MIT Object Tcl, is an extension to Tcl/Tk for object-oriented
programming. Some of OTcl's features as compared to alternatives are:
 - designed to be dynamically extensible, like Tcl, from the ground up.
 - builds on Tcl syntax and concepts rather than importing another language.
 - compact yet powerful object programming system.
 - fairly portable implementation (2000 lines of C, without core hacks).

%package devel
Summary: MIT Object Tcl development environment
Group: Development/Languages
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: tcl-devel

%description devel
This package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation files for %{name}
Group: Documentation
BuildArch: noarch

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q -n %{name}-%{version}
#Fixing makefile to be more suitable for packaging:
sed -i 's/install: owish otclsh libotcl.a libotcl$(SHLIB_SUFFIX) otcl.h dirs/lib: owish otclsh libotcl.a libotcl$(SHLIB_SUFFIX) otcl.h/g' Makefile.in
sed -i 's/	$(INSTALL) owish $(INST_OWISH)//g' Makefile.in
sed -i 's/	$(INSTALL) otclsh $(INST_OTCLSH)//g' Makefile.in
sed -i 's/	$(INSTALL) libotcl.a $(INST_OLIB)//g' Makefile.in
sed -i 's:	$(RANLIB)  $(INST_OLIB)/libotcl.a::g' Makefile.in
sed -i 's/	$(INSTALL) libotcl$(SHLIB_SUFFIX) $(INST_OLIBSH)//g' Makefile.in
sed -i 's/	$(INSTALL) -m 644 otcl.h $(INST_OINC)//g' Makefile.in
%configure

%build
make %{?_smp_mflags}
make %{?_smp_mflags} lib

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_includedir}
mkdir -p %{buildroot}%{_libdir}
install -c owish %{buildroot}%{_bindir}
install -c otclsh %{buildroot}%{_bindir}
install -c libotcl.so %{buildroot}%{_libdir}
install -c -m 644 otcl.h %{buildroot}%{_includedir}

%files
%{_bindir}/*
%doc CHANGES.html VERSION README.html

%files devel
%{_includedir}/otcl.h
%{_libdir}/*

%files doc
%doc doc/*

%changelog
* Tue Feb 11 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.14-5
- Add tcl-devel as -devel require.
- Release -doc from base require.

* Tue Jan 7 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.14-4
- Fix description of all packages.
- Rename -docs to -doc
- Change summary and group of -doc.
- Fix version of -doc requires.
- Remove static lib.

* Tue Jan 7 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.14-3
- library included into -devel.
- General Tweaks.
- Fix versions of requires in -devel -docs.

* Wed Jan 1 2014 Mosaab Alzoubi <moceap@hotmail.com> - 1.14-2
- Fix path of includes.

* Mon Dec 30 2013 Mosaab Alzoubi <moceap@hotmail.com> - 1.14-1
- Initial build.
